---
title: Update
url: https://docs.vultr.com/products/network/cdn-push-zone/management/update
description: Modify your servers configuration, operating system, or resources to meet changing requirements.
publish_date: 2025-04-03T20:45:00.062076Z
last_updated: 2026-05-26T20:15:38.747720Z
---

# How to Update Vultr CDN Push Zones

Updating the label of a Vultr CDN Push Zone is a straightforward process that enables you to better organize and manage your CDN configuration. This process enhances the clarity of your CDN management and ensures your Push Zones are consistently aligned with your workflow.

Follow this guide to update the label of a Vultr CDN Push Zone subscription on your Vultr account using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, click **CDN**, and then click **Push Zones**.
    1. Click your target CDN Push Zone subscription to open its management page.
    1. Click **Overview**.
    1. Under **CDN Information**, locate the **Name** field.
    1. Click the current name of the Push Zone subscription and enter a new, appropriate name.
    1. Click the check-mark icon to save the changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List CDN Push Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/list-pushzones) and note the target Push Zone subscription's ID.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update CDN Push Zone** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/update-pushzone) to update the target Push Zone subscription's label.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones/{pushzone-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "label": "{updated_label}"
            }'
        ```

=== "Vultr CLI"

    1. List all available CDN Push Zone subscriptions and note the target Push Zone subscription's ID. 

        ```console
        $ vultr-cli cdn push list
        ```

    1. Update the target Push Zone subscription's label.

        ```console
        $ vultr-cli cdn push update <pushzone-id> --label "<updated_label>"
        ```